
-- for radar chart
-- find percentage of sessions for target audience per track
select track_label
,      target_audience
,      round(num_of_sessions/all_sessions_in_track,3) * 100 perc_sessions_for_audience
from (
select track_label
,      target_audience
,      num_of_sessions
,      sum(num_of_sessions) over (partition by track_label) as all_sessions_in_track
from (
select tr.track_label
,      s.target_audience
,      count(s.id) num_of_sessions
from   sessions s
       join
       topics t
       on (s.topic_id = t.topic_id)
       join
       tracks tr
       on (t.track_id = tr.track_id) 
group 
by     tr.track_label, s.target_audience
))

alter table countries add (region varchar2(10))



-- number of sessions for each track and for each region

select tr.track_label
,      rg.region
,      count(s.id) num_of_sessions
from   sessions s
       join
       presenters p
       on (s.presenter_id = p.presenter_id)
       join
       countries c
       on (p.country_id= c.id)
       join
       topics t
       on (s.topic_id = t.topic_id)
       join
       tracks tr 
       on (t.track_id = tr.track_id) 
       partition by (track_label)
       right outer join 
       ( select distinct region from countries ) rg 
       on (c.region= rg.region) 
group by tr.track_label, rg.region



-- percentage of the sessions in each track delivered by a certain region
select track_label
,      region
,      round(num_of_sessions/all_sessions_in_track,3) * 100 perc_sssn_frm_rgn_in_trck
from (
select track_label
,      region
,      num_of_sessions
,      sum(num_of_sessions) over (partition by region) as all_sessions_from_region
,      sum(num_of_sessions) over (partition by track_label) as all_sessions_in_track
from (
select tr.track_label
,      rg.region
,      count(s.id) num_of_sessions
from   sessions s
       join
       presenters p
       on (s.presenter_id = p.presenter_id)
       join
       countries c
       on (p.country_id= c.id)
       join
       topics t
       on (s.topic_id = t.topic_id)
       join
       tracks tr 
       on (t.track_id = tr.track_id) 
       partition by (track_label)
       right outer join 
       ( select distinct region from countries where region is not null) rg 
       on (c.region= rg.region) 
group by tr.track_label, rg.region
))

